M3 Simply and newer DSs

Discussion in 'M3 Adapter' started by Samutz, Jul 15, 2009.

Jul 15, 2009

M3 Simply and newer DSs by Samutz at 2:29 PM (1,033 Views / 0 Likes) 3 replies

  1. Samutz
    OP

    Member Samutz Wet Tissue Sample

    Joined:
    Oct 4, 2004
    Messages:
    1,598
    Location:
    See that hole in your wall?
    Country:
    United States
    A friend of mine's DS Lite is useless now thanks to a broken hinge. It's too old for Nintendo's warranty to cover it, so she wants to buy a new DS.
    I haven't paid much attention to the DSi and new flashcarts in the past few years, so I have 3 questions.

    1. Am I correct to assume the M3 Simply doesn't work on DSi?

    2. Would it work on a new DS Lite, or do those have new protection?

    3. Is 1.14 the latest M3 Simply firmware? (I can only find Moonshell on official M3 website)
     
  2. chrishull

    Newcomer chrishull Member

    Joined:
    Oct 31, 2006
    Messages:
    42
    Country:
    United Kingdom
    1. Yes
    2. Yes : No new protection
    3. Yes but read into YASU menu it much better for the M3 simply.
     
  3. Samutz
    OP

    Member Samutz Wet Tissue Sample

    Joined:
    Oct 4, 2004
    Messages:
    1,598
    Location:
    See that hole in your wall?
    Country:
    United States
    For #2: Yes, it will work? Or yes, they have new protection?

    Edit: Nevermind. Thanks.
     
  4. rockstar99

    Member rockstar99 Hi

    Joined:
    Dec 3, 2008
    Messages:
    7,375
    Location:
    Toronto
    Country:
    Canada
    1.it wont work on the dsi

    2.all ds lites are the same i got a new one last momnth and ive tried with 11 carts they all work(phats n lites got no protection:P)

    3.The m3 simply can use r4 firmwre so you should use the new unofficail r4 firmware check it out in the r4forums

    oh yeah the m3 simply is a dead cart and is lik the r4 if you got the oney you should get a m3 real its way bwtter
     

Share This Page